### Hierarchy

- BaseAPI
  - SearchApi

### Implements

- SearchApiInterface

## Index

### Constructors

- constructor

### Properties

- configuration

### Methods

- request
- searchById
- searchByIdRaw
- withMiddleware
- withPostMiddleware
- withPreMiddleware

## Constructors

### constructor

- new SearchApi(configuration?: Configuration ): SearchApi

- Inherited from BaseAPI.constructor

  - Defined in src/generated/runtime.ts:25

  #### Parameters

  - ##### configuration: Configuration = ...

  #### Returns SearchApi

## Properties

### Protected configuration

configuration: Configuration = ...

Inherited from BaseAPI.configuration

## Methods

### Protected request

- request(context: RequestOpts, initOverrides?: RequestInit): Promise<Response>

- Inherited from BaseAPI.request

  - Defined in src/generated/runtime.ts:47

  #### Parameters

  - ##### context: RequestOpts

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<Response>

### searchById

- searchById(requestParameters: SearchByIdRequest, initOverrides?: RequestInit): Promise<object>

- Implementation of SearchApiInterface.searchById

  - Defined in src/generated/apis/SearchApi.ts:79

  Search blocks, transactions, contracts, or accounts by hash/ID Search

  #### Parameters

  - ##### requestParameters: SearchByIdRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<object>

### searchByIdRaw

- searchByIdRaw(requestParameters: SearchByIdRequest, initOverrides?: RequestInit): Promise< ApiResponse <object>>

- Implementation of SearchApiInterface.searchByIdRaw

  - Defined in src/generated/apis/SearchApi.ts:56

  Search blocks, transactions, contracts, or accounts by hash/ID Search

  #### Parameters

  - ##### requestParameters: SearchByIdRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse <object>>

### withMiddleware

- withMiddleware<T>(...middlewares: Middleware []): T

- Inherited from BaseAPI.withMiddleware

  - Defined in src/generated/runtime.ts:31

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...middlewares: Middleware []

  #### Returns T

### withPostMiddleware

- withPostMiddleware<T>(...postMiddlewares: ((context: ResponseContext ) => Promise<void | Response>)[]): T

- Inherited from BaseAPI.withPostMiddleware

  - Defined in src/generated/runtime.ts:42

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...postMiddlewares: ((context: ResponseContext ) => Promise<void | Response>)[]

  #### Returns T

### withPreMiddleware

- withPreMiddleware<T>(...preMiddlewares: ((context: RequestContext ) => Promise<void | FetchParams >)[]): T

- Inherited from BaseAPI.withPreMiddleware

  - Defined in src/generated/runtime.ts:37

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...preMiddlewares: ((context: RequestContext ) => Promise<void | FetchParams >)[]

  #### Returns T

Generated using TypeDoc